mutation CreateUnderwritingApplication($input: UnderwritingApplicationCreateInput!) {
createUnderwritingApplication(input: $input) {
errors {
... on UnderwritingApplicationBankAccountFieldValidationError {
bankAccountId
code
field
message
}
... on UnderwritingApplicationValidationError {
code
message
}
... on UnderwritingApplicationFieldValidationError {
code
field
message
}
... on UnderwritingApplicationStakeholderFieldValidationError {
code
field
message
stakeholderId
}
... on ForbiddenError {
advice
code
message
}
... on InvalidActorError {
advice
code
message
}
... on InvalidOrganizationError {
advice
code
message
}
... on NotFoundError {
advice
code
message
resourceId
resourceName
}
... on ServerError {
advice
code
message
}
}
underwritingApplication {
applicationEvents {
}
applicationIdentity {
applicantType
businessEntityType
businessName
isKnownEntity
isLegalAddressSameAsBusinessAddress
legalEntityName
merchantCategoryCode
naicsCode
naicsDescription
salesChannel
serviceTelephoneNumber
softwareProviderNames
stateOfIncorporation
underwritingReference
underwritingRelationshipReference
websiteUrl
}
applicationStatus
assignee {
assignedDateTime
name
userId
}
attachments {
fileName
id
size
uploadedDateTime
}
bankAccounts {
accountNumberLast4
id
referenceNumber
routingNumber
}
comments {
content
createdDateTime
id
updatedDateTime
}
createdBy {
name
type
}
createdDateTime
decisionComponents {
hasAttachments
hasComments
id
status
updatedDateTime
}
declineReasons {
code
message
}
dynamicField {
children
decisionComponentItemId
fieldValue
id
parentDynamicFieldId
selectedVariantKey
}
dynamicFields {
children
decisionComponentItemId
fieldValue
id
parentDynamicFieldId
selectedVariantKey
}
id
informationRequests {
applicationId
createdDateTime
description
fulfilledDateTime
fulfillmentAttachmentIds
fulfillmentResponse
fulfillmentTypes
id
status
title
type
updatedDateTime
}
informationRequestStatus
participants {
role
}
processingActivity {
advancedPaymentRate
averageAnnualSalesAmount
averageMonthlySalesAmount
averageTicketAmount
businessToBusinessMix
cardNotPresentMix
cardPresentMix
chargebackRate
currency
customerInitiatedCardNotPresentMix
daysInCycle
deliveryTimeframe
exposure
highestTicketAmount
merchantInitiatedCardNotPresentMix
refundRate
riskLevel
}
queue
relationshipProcessingActivity {
advancedPaymentRate
averageAnnualSalesAmount
averageMonthlySalesAmount
averageTicketAmount
businessToBusinessMix
cardNotPresentMix
cardPresentMix
chargebackRate
currency
customerInitiatedCardNotPresentMix
daysInCycle
deliveryTimeframe
exposure
highestTicketAmount
merchantInitiatedCardNotPresentMix
refundRate
riskLevel
}
schema {
createdDateTime
id
version
}
stakeholders {
emailAddress
id
ipAddress
ownershipPercentage
referenceNumber
roles
}
submissionAttemptedDateTime
submissionSuccessfulDateTime
updatedBy {
name
type
}
updatedDateTime
}
}
}
{
"input": {
"bankAccounts": [
{
"addBankAccountInput": "example",
"removeBankAccountInput": "example",
"updateBankAccountInput": "example"
}
],
"comments": [
{
"addCommentsInput": "example"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateUnderwritingApplication($input: UnderwritingApplicationCreateInput!) {\n createUnderwritingApplication(input: $input) {\n errors {\n ... on UnderwritingApplicationBankAccountFieldValidationError {\n bankAccountId\n code\n field\n message\n }\n ... on UnderwritingApplicationValidationError {\n code\n message\n }\n ... on UnderwritingApplicationFieldValidationError {\n code\n field\n message\n }\n ... on UnderwritingApplicationStakeholderFieldValidationError {\n code\n field\n message\n stakeholderId\n }\n ... on ForbiddenError {\n advice\n code\n message\n }\n ... on InvalidActorError {\n advice\n code\n message\n }\n ... on InvalidOrganizationError {\n advice\n code\n message\n }\n ... on NotFoundError {\n advice\n code\n message\n resourceId\n resourceName\n }\n ... on ServerError {\n advice\n code\n message\n }\n }\n underwritingApplication {\n applicationEvents {\n\n }\n applicationIdentity {\n applicantType\n businessEntityType\n businessName\n isKnownEntity\n isLegalAddressSameAsBusinessAddress\n legalEntityName\n merchantCategoryCode\n naicsCode\n naicsDescription\n salesChannel\n serviceTelephoneNumber\n softwareProviderNames\n stateOfIncorporation\n underwritingReference\n underwritingRelationshipReference\n websiteUrl\n }\n applicationStatus\n assignee {\n assignedDateTime\n name\n userId\n }\n attachments {\n fileName\n id\n size\n uploadedDateTime\n }\n bankAccounts {\n accountNumberLast4\n id\n referenceNumber\n routingNumber\n }\n comments {\n content\n createdDateTime\n id\n updatedDateTime\n }\n createdBy {\n name\n type\n }\n createdDateTime\n decisionComponents {\n hasAttachments\n hasComments\n id\n status\n updatedDateTime\n }\n declineReasons {\n code\n message\n }\n dynamicField {\n children\n decisionComponentItemId\n fieldValue\n id\n parentDynamicFieldId\n selectedVariantKey\n }\n dynamicFields {\n children\n decisionComponentItemId\n fieldValue\n id\n parentDynamicFieldId\n selectedVariantKey\n }\n id\n informationRequests {\n applicationId\n createdDateTime\n description\n fulfilledDateTime\n fulfillmentAttachmentIds\n fulfillmentResponse\n fulfillmentTypes\n id\n status\n title\n type\n updatedDateTime\n }\n informationRequestStatus\n participants {\n role\n }\n processingActivity {\n advancedPaymentRate\n averageAnnualSalesAmount\n averageMonthlySalesAmount\n averageTicketAmount\n businessToBusinessMix\n cardNotPresentMix\n cardPresentMix\n chargebackRate\n currency\n customerInitiatedCardNotPresentMix\n daysInCycle\n deliveryTimeframe\n exposure\n highestTicketAmount\n merchantInitiatedCardNotPresentMix\n refundRate\n riskLevel\n }\n queue\n relationshipProcessingActivity {\n advancedPaymentRate\n averageAnnualSalesAmount\n averageMonthlySalesAmount\n averageTicketAmount\n businessToBusinessMix\n cardNotPresentMix\n cardPresentMix\n chargebackRate\n currency\n customerInitiatedCardNotPresentMix\n daysInCycle\n deliveryTimeframe\n exposure\n highestTicketAmount\n merchantInitiatedCardNotPresentMix\n refundRate\n riskLevel\n }\n schema {\n createdDateTime\n id\n version\n }\n stakeholders {\n emailAddress\n id\n ipAddress\n ownershipPercentage\n referenceNumber\n roles\n }\n submissionAttemptedDateTime\n submissionSuccessfulDateTime\n updatedBy {\n name\n type\n }\n updatedDateTime\n }\n }\n}",
"variables": {
"input": {
"bankAccounts": [
{
"addBankAccountInput": "example",
"removeBankAccountInput": "example",
"updateBankAccountInput": "example"
}
],
"comments": [
{
"addCommentsInput": "example"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000
}
}
}
}'
{
"data": {
"createUnderwritingApplication": {
"errors": [
{
"__typename": "UnderwritingApplicationBankAccountFieldValidationError",
"bankAccountId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"code": "FIELD_TOO_LONG",
"field": "example",
"message": "example"
}
],
"underwritingApplication": {
"applicationEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"applicationIdentity": {
"applicantType": "BILLER",
"businessAddress": "example",
"businessEntityType": "ASSOCIATION",
"businessName": "Clacksworth Keyboards",
"isKnownEntity": true,
"isLegalAddressSameAsBusinessAddress": true,
"legalAddress": "example",
"legalEntityName": "Clacksworth Keyboards LLC",
"merchantCategoryCode": "example",
"naicsCode": "example",
"naicsDescription": "example",
"salesChannel": "E_COMMERCE",
"sensitiveFields": "example",
"serviceTelephoneNumber": "+15551234567",
"softwareProviderNames": [
"example"
],
"stateOfIncorporation": "example",
"taxIdentificationNumber": "example",
"underwritingReference": "example",
"underwritingRelationshipReference": "example",
"websiteUrl": "https://clacksworth.com"
},
"applicationStatus": "APPROVED",
"assignee": {
"assignedBy": "example",
"assignedDateTime": "2026-01-15T14:30:00Z",
"name": "Ben Torres",
"userId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"attachments": [
{
"fileName": "business-license.pdf",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"size": 0,
"uploadedBy": "example",
"uploadedDateTime": "2026-01-15T14:30:00Z"
}
],
"bankAccounts": [
{
"accountNumberLast4": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"referenceNumber": 0,
"routingNumber": "example",
"sensitiveFields": "example"
}
],
"comments": [
{
"content": "Approved for mechanical keyboard accessories line.",
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponent": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"lastUpdatedBy": "example",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"createdBy": {
"name": "Ben Torres",
"type": "APP"
},
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponents": [
{
"attachments": [
"example"
],
"comments": [
"example"
],
"hasAttachments": true,
"hasComments": true,
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"items": [
"example"
],
"lastUpdatedBy": "example",
"schema": "example",
"status": "ACCEPTED",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"declineReasons": [
{
"code": "DEROGATORY_BANKING_RELATIONSHIP",
"message": "example"
}
],
"dynamicField": {
"children": [
"example"
],
"decisionComponentItemId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"fieldValue": "example",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"parentDynamicFieldId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"schema": "example",
"selectedOptions": [
"example"
],
"selectedVariant": "example",
"selectedVariantKey": "example",
"sensitiveField": "example"
},
"dynamicFields": [
{
"children": [
"example"
],
"decisionComponentItemId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"fieldValue": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"parentDynamicFieldId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"schema": "example",
"selectedOptions": [
"example"
],
"selectedVariant": "example",
"selectedVariantKey": "example",
"sensitiveField": "example"
}
],
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"informationRequests": [
{
"applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"fulfilledBy": "example",
"fulfilledDateTime": "2026-01-15T14:30:00Z",
"fulfillmentAttachmentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"fulfillmentResponse": "example",
"fulfillmentTypes": [
"DOCUMENT"
],
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"status": "FULFILLED",
"title": "example",
"type": "ARTICLES_OF_INCORPORATION",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"informationRequestStatus": "AWAITING_INFORMATION",
"participants": [
{
"organization": "example",
"role": "BANK"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000,
"averageTicketAmount": 150,
"businessToBusinessMix": 0.05,
"cardNotPresentMix": 0.05,
"cardPresentMix": 0.05,
"chargebackRate": 0.05,
"currency": "USD",
"customerInitiatedCardNotPresentMix": 0.05,
"daysInCycle": 0,
"deliveryTimeframe": 0,
"exposure": 100000,
"highestTicketAmount": 2500,
"merchantInitiatedCardNotPresentMix": 0.05,
"refundRate": 0.05,
"riskLevel": "HIGH"
},
"queue": "PARTNER",
"relationshipProcessingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000,
"averageTicketAmount": 150,
"businessToBusinessMix": 0.05,
"cardNotPresentMix": 0.05,
"cardPresentMix": 0.05,
"chargebackRate": 0.05,
"currency": "USD",
"customerInitiatedCardNotPresentMix": 0.05,
"daysInCycle": 0,
"deliveryTimeframe": 0,
"exposure": 100000,
"highestTicketAmount": 2500,
"merchantInitiatedCardNotPresentMix": 0.05,
"refundRate": 0.05,
"riskLevel": "HIGH"
},
"schema": {
"createdDateTime": "2026-01-15T14:30:00Z",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"underwritingDecisionComponentSchemas": [
"example"
],
"version": "example"
},
"stakeholders": [
{
"emailAddress": "ben@clacksworth.com",
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"ipAddress": "example",
"ownershipPercentage": 0.05,
"referenceNumber": 0,
"roles": [
"AUTHORIZED"
],
"sensitiveFields": "example"
}
],
"submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
"submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
"updatedBy": {
"name": "Ben Torres",
"type": "APP"
},
"updatedDateTime": "2026-01-15T14:30:00Z"
}
}
}
}
Mutations
createUnderwritingApplication
Create an underwriting application.
mutation CreateUnderwritingApplication($input: UnderwritingApplicationCreateInput!) {
createUnderwritingApplication(input: $input) {
errors {
... on UnderwritingApplicationBankAccountFieldValidationError {
bankAccountId
code
field
message
}
... on UnderwritingApplicationValidationError {
code
message
}
... on UnderwritingApplicationFieldValidationError {
code
field
message
}
... on UnderwritingApplicationStakeholderFieldValidationError {
code
field
message
stakeholderId
}
... on ForbiddenError {
advice
code
message
}
... on InvalidActorError {
advice
code
message
}
... on InvalidOrganizationError {
advice
code
message
}
... on NotFoundError {
advice
code
message
resourceId
resourceName
}
... on ServerError {
advice
code
message
}
}
underwritingApplication {
applicationEvents {
}
applicationIdentity {
applicantType
businessEntityType
businessName
isKnownEntity
isLegalAddressSameAsBusinessAddress
legalEntityName
merchantCategoryCode
naicsCode
naicsDescription
salesChannel
serviceTelephoneNumber
softwareProviderNames
stateOfIncorporation
underwritingReference
underwritingRelationshipReference
websiteUrl
}
applicationStatus
assignee {
assignedDateTime
name
userId
}
attachments {
fileName
id
size
uploadedDateTime
}
bankAccounts {
accountNumberLast4
id
referenceNumber
routingNumber
}
comments {
content
createdDateTime
id
updatedDateTime
}
createdBy {
name
type
}
createdDateTime
decisionComponents {
hasAttachments
hasComments
id
status
updatedDateTime
}
declineReasons {
code
message
}
dynamicField {
children
decisionComponentItemId
fieldValue
id
parentDynamicFieldId
selectedVariantKey
}
dynamicFields {
children
decisionComponentItemId
fieldValue
id
parentDynamicFieldId
selectedVariantKey
}
id
informationRequests {
applicationId
createdDateTime
description
fulfilledDateTime
fulfillmentAttachmentIds
fulfillmentResponse
fulfillmentTypes
id
status
title
type
updatedDateTime
}
informationRequestStatus
participants {
role
}
processingActivity {
advancedPaymentRate
averageAnnualSalesAmount
averageMonthlySalesAmount
averageTicketAmount
businessToBusinessMix
cardNotPresentMix
cardPresentMix
chargebackRate
currency
customerInitiatedCardNotPresentMix
daysInCycle
deliveryTimeframe
exposure
highestTicketAmount
merchantInitiatedCardNotPresentMix
refundRate
riskLevel
}
queue
relationshipProcessingActivity {
advancedPaymentRate
averageAnnualSalesAmount
averageMonthlySalesAmount
averageTicketAmount
businessToBusinessMix
cardNotPresentMix
cardPresentMix
chargebackRate
currency
customerInitiatedCardNotPresentMix
daysInCycle
deliveryTimeframe
exposure
highestTicketAmount
merchantInitiatedCardNotPresentMix
refundRate
riskLevel
}
schema {
createdDateTime
id
version
}
stakeholders {
emailAddress
id
ipAddress
ownershipPercentage
referenceNumber
roles
}
submissionAttemptedDateTime
submissionSuccessfulDateTime
updatedBy {
name
type
}
updatedDateTime
}
}
}
{
"input": {
"bankAccounts": [
{
"addBankAccountInput": "example",
"removeBankAccountInput": "example",
"updateBankAccountInput": "example"
}
],
"comments": [
{
"addCommentsInput": "example"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateUnderwritingApplication($input: UnderwritingApplicationCreateInput!) {\n createUnderwritingApplication(input: $input) {\n errors {\n ... on UnderwritingApplicationBankAccountFieldValidationError {\n bankAccountId\n code\n field\n message\n }\n ... on UnderwritingApplicationValidationError {\n code\n message\n }\n ... on UnderwritingApplicationFieldValidationError {\n code\n field\n message\n }\n ... on UnderwritingApplicationStakeholderFieldValidationError {\n code\n field\n message\n stakeholderId\n }\n ... on ForbiddenError {\n advice\n code\n message\n }\n ... on InvalidActorError {\n advice\n code\n message\n }\n ... on InvalidOrganizationError {\n advice\n code\n message\n }\n ... on NotFoundError {\n advice\n code\n message\n resourceId\n resourceName\n }\n ... on ServerError {\n advice\n code\n message\n }\n }\n underwritingApplication {\n applicationEvents {\n\n }\n applicationIdentity {\n applicantType\n businessEntityType\n businessName\n isKnownEntity\n isLegalAddressSameAsBusinessAddress\n legalEntityName\n merchantCategoryCode\n naicsCode\n naicsDescription\n salesChannel\n serviceTelephoneNumber\n softwareProviderNames\n stateOfIncorporation\n underwritingReference\n underwritingRelationshipReference\n websiteUrl\n }\n applicationStatus\n assignee {\n assignedDateTime\n name\n userId\n }\n attachments {\n fileName\n id\n size\n uploadedDateTime\n }\n bankAccounts {\n accountNumberLast4\n id\n referenceNumber\n routingNumber\n }\n comments {\n content\n createdDateTime\n id\n updatedDateTime\n }\n createdBy {\n name\n type\n }\n createdDateTime\n decisionComponents {\n hasAttachments\n hasComments\n id\n status\n updatedDateTime\n }\n declineReasons {\n code\n message\n }\n dynamicField {\n children\n decisionComponentItemId\n fieldValue\n id\n parentDynamicFieldId\n selectedVariantKey\n }\n dynamicFields {\n children\n decisionComponentItemId\n fieldValue\n id\n parentDynamicFieldId\n selectedVariantKey\n }\n id\n informationRequests {\n applicationId\n createdDateTime\n description\n fulfilledDateTime\n fulfillmentAttachmentIds\n fulfillmentResponse\n fulfillmentTypes\n id\n status\n title\n type\n updatedDateTime\n }\n informationRequestStatus\n participants {\n role\n }\n processingActivity {\n advancedPaymentRate\n averageAnnualSalesAmount\n averageMonthlySalesAmount\n averageTicketAmount\n businessToBusinessMix\n cardNotPresentMix\n cardPresentMix\n chargebackRate\n currency\n customerInitiatedCardNotPresentMix\n daysInCycle\n deliveryTimeframe\n exposure\n highestTicketAmount\n merchantInitiatedCardNotPresentMix\n refundRate\n riskLevel\n }\n queue\n relationshipProcessingActivity {\n advancedPaymentRate\n averageAnnualSalesAmount\n averageMonthlySalesAmount\n averageTicketAmount\n businessToBusinessMix\n cardNotPresentMix\n cardPresentMix\n chargebackRate\n currency\n customerInitiatedCardNotPresentMix\n daysInCycle\n deliveryTimeframe\n exposure\n highestTicketAmount\n merchantInitiatedCardNotPresentMix\n refundRate\n riskLevel\n }\n schema {\n createdDateTime\n id\n version\n }\n stakeholders {\n emailAddress\n id\n ipAddress\n ownershipPercentage\n referenceNumber\n roles\n }\n submissionAttemptedDateTime\n submissionSuccessfulDateTime\n updatedBy {\n name\n type\n }\n updatedDateTime\n }\n }\n}",
"variables": {
"input": {
"bankAccounts": [
{
"addBankAccountInput": "example",
"removeBankAccountInput": "example",
"updateBankAccountInput": "example"
}
],
"comments": [
{
"addCommentsInput": "example"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000
}
}
}
}'
{
"data": {
"createUnderwritingApplication": {
"errors": [
{
"__typename": "UnderwritingApplicationBankAccountFieldValidationError",
"bankAccountId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"code": "FIELD_TOO_LONG",
"field": "example",
"message": "example"
}
],
"underwritingApplication": {
"applicationEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"applicationIdentity": {
"applicantType": "BILLER",
"businessAddress": "example",
"businessEntityType": "ASSOCIATION",
"businessName": "Clacksworth Keyboards",
"isKnownEntity": true,
"isLegalAddressSameAsBusinessAddress": true,
"legalAddress": "example",
"legalEntityName": "Clacksworth Keyboards LLC",
"merchantCategoryCode": "example",
"naicsCode": "example",
"naicsDescription": "example",
"salesChannel": "E_COMMERCE",
"sensitiveFields": "example",
"serviceTelephoneNumber": "+15551234567",
"softwareProviderNames": [
"example"
],
"stateOfIncorporation": "example",
"taxIdentificationNumber": "example",
"underwritingReference": "example",
"underwritingRelationshipReference": "example",
"websiteUrl": "https://clacksworth.com"
},
"applicationStatus": "APPROVED",
"assignee": {
"assignedBy": "example",
"assignedDateTime": "2026-01-15T14:30:00Z",
"name": "Ben Torres",
"userId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"attachments": [
{
"fileName": "business-license.pdf",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"size": 0,
"uploadedBy": "example",
"uploadedDateTime": "2026-01-15T14:30:00Z"
}
],
"bankAccounts": [
{
"accountNumberLast4": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"referenceNumber": 0,
"routingNumber": "example",
"sensitiveFields": "example"
}
],
"comments": [
{
"content": "Approved for mechanical keyboard accessories line.",
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponent": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"lastUpdatedBy": "example",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"createdBy": {
"name": "Ben Torres",
"type": "APP"
},
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponents": [
{
"attachments": [
"example"
],
"comments": [
"example"
],
"hasAttachments": true,
"hasComments": true,
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"items": [
"example"
],
"lastUpdatedBy": "example",
"schema": "example",
"status": "ACCEPTED",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"declineReasons": [
{
"code": "DEROGATORY_BANKING_RELATIONSHIP",
"message": "example"
}
],
"dynamicField": {
"children": [
"example"
],
"decisionComponentItemId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"fieldValue": "example",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"parentDynamicFieldId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"schema": "example",
"selectedOptions": [
"example"
],
"selectedVariant": "example",
"selectedVariantKey": "example",
"sensitiveField": "example"
},
"dynamicFields": [
{
"children": [
"example"
],
"decisionComponentItemId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"fieldValue": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"parentDynamicFieldId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"schema": "example",
"selectedOptions": [
"example"
],
"selectedVariant": "example",
"selectedVariantKey": "example",
"sensitiveField": "example"
}
],
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"informationRequests": [
{
"applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"fulfilledBy": "example",
"fulfilledDateTime": "2026-01-15T14:30:00Z",
"fulfillmentAttachmentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"fulfillmentResponse": "example",
"fulfillmentTypes": [
"DOCUMENT"
],
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"status": "FULFILLED",
"title": "example",
"type": "ARTICLES_OF_INCORPORATION",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"informationRequestStatus": "AWAITING_INFORMATION",
"participants": [
{
"organization": "example",
"role": "BANK"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000,
"averageTicketAmount": 150,
"businessToBusinessMix": 0.05,
"cardNotPresentMix": 0.05,
"cardPresentMix": 0.05,
"chargebackRate": 0.05,
"currency": "USD",
"customerInitiatedCardNotPresentMix": 0.05,
"daysInCycle": 0,
"deliveryTimeframe": 0,
"exposure": 100000,
"highestTicketAmount": 2500,
"merchantInitiatedCardNotPresentMix": 0.05,
"refundRate": 0.05,
"riskLevel": "HIGH"
},
"queue": "PARTNER",
"relationshipProcessingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000,
"averageTicketAmount": 150,
"businessToBusinessMix": 0.05,
"cardNotPresentMix": 0.05,
"cardPresentMix": 0.05,
"chargebackRate": 0.05,
"currency": "USD",
"customerInitiatedCardNotPresentMix": 0.05,
"daysInCycle": 0,
"deliveryTimeframe": 0,
"exposure": 100000,
"highestTicketAmount": 2500,
"merchantInitiatedCardNotPresentMix": 0.05,
"refundRate": 0.05,
"riskLevel": "HIGH"
},
"schema": {
"createdDateTime": "2026-01-15T14:30:00Z",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"underwritingDecisionComponentSchemas": [
"example"
],
"version": "example"
},
"stakeholders": [
{
"emailAddress": "ben@clacksworth.com",
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"ipAddress": "example",
"ownershipPercentage": 0.05,
"referenceNumber": 0,
"roles": [
"AUTHORIZED"
],
"sensitiveFields": "example"
}
],
"submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
"submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
"updatedBy": {
"name": "Ben Torres",
"type": "APP"
},
"updatedDateTime": "2026-01-15T14:30:00Z"
}
}
}
}
Mutation
Arguments
UnderwritingApplicationCreateInput!
required
Show child attributes
Show child attributes
[UnderwritingApplicationBankAccountInput!]
Bank accounts associated with the underwriting application
Show child attributes
Show child attributes
UnderwritingApplicationAddBankAccountInput
UnderwritingApplicationRemoveBankAccountInput
Input for removing a bank account from an underwriting application.
Show child attributes
Show child attributes
UUID!
required
The ID of the bank account to remove.
[ApplicationCommentsInput!]
UnderwritingApplicationProcessingActivityInput
Processing activity information for the underwriting application
Show child attributes
Show child attributes
Percentage
The advanced payment rate for the underwriting application. Formatted as a decimal.
Decimal
The average annual sales amount, in the specified currency.
Decimal
The average gross sales amount, in the specified currency.
Decimal
The average amount of a transaction, in the specified currency.
Percentage
The approximate mix of business-to-business (B2B) transactions. Formatted as a decimal, e.g., If B2B transactions make up 30% of total volume, input as 0.3.
Percentage
The approximate mix of card-not-present (CNP) transactions. Formatted as a decimal., e.g., If CNP transactions make up 80% of total volume, input as 0.8.
Percentage
The approximate mix of card present (CP) transactions. Formatted as a decimal., e.g., If CP transactions make up 20% of total volume, input as 0.2.
Percentage
The approximate rate of chargebacks. Formatted as a decimal, e.g., If the chargeback rate is 0.25%, input as 0.0025.
CurrencyCodeAlpha
The currency specified on the transaction requests, in ISO 4217 alpha currency code format.
Percentage
The approximate mix of card-not-present (CNP) transactions initiated by the customer, such as e-commerce orders. Formatted as a decimal, e.g., If customer-initiated CNP transactions make up 50% of total volume, input as 0.5. Stored as sent; it does not change cardNotPresentMix.
Int
The number of days in the processing cycle.
Int
The delivery timeframe in days.
Decimal
The highest amount of a transaction, in the specified currency.
Percentage
The approximate mix of card-not-present (CNP) transactions initiated by the merchant, such as mail or telephone orders (MOTO). Formatted as a decimal, e.g., If merchant-initiated CNP transactions make up 30% of total volume, input as 0.3. Stored as sent; it does not change cardNotPresentMix.
Percentage
The approximate rate of refunds. Formatted as a decimal, e.g., If the refund rate is 10% of sales, input as 0.1
RelationshipProcessingActivityInput
Relationship-wide processing activity totals across all locations in the relationship, including this application
Show child attributes
Show child attributes
Percentage
The relationship-wide advanced payment rate across all locations, including this application. Formatted as a decimal.
Decimal
The average annual sales amount, in the specified currency.
Decimal
The average gross sales amount, in the specified currency.
Decimal
The average amount of a transaction, in the specified currency.
Percentage
The approximate mix of business-to-business (B2B) transactions. Formatted as a decimal, e.g., If B2B transactions make up 30% of total volume, input as 0.3.
Percentage
The approximate mix of card-not-present (CNP) transactions. Formatted as a decimal., e.g., If CNP transactions make up 80% of total volume, input as 0.8.
Percentage
The approximate mix of card present (CP) transactions. Formatted as a decimal., e.g., If CP transactions make up 20% of total volume, input as 0.2.
Percentage
The approximate rate of chargebacks. Formatted as a decimal, e.g., If the chargeback rate is 0.25%, input as 0.0025.
CurrencyCodeAlpha
The currency specified on the transaction requests, in ISO 4217 alpha currency code format.
Percentage
The approximate mix of card-not-present (CNP) transactions initiated by the customer, such as e-commerce orders. Formatted as a decimal, e.g., If customer-initiated CNP transactions make up 50% of total volume, input as 0.5. Stored as sent; it does not change cardNotPresentMix.
Int
The number of days in the processing cycle.
Int
The relationship-wide delivery timeframe in days across all locations, including this application.
Decimal
The highest amount of a transaction, in the specified currency.
Percentage
The approximate mix of card-not-present (CNP) transactions initiated by the merchant, such as mail or telephone orders (MOTO). Formatted as a decimal, e.g., If merchant-initiated CNP transactions make up 30% of total volume, input as 0.3. Stored as sent; it does not change cardNotPresentMix.
Percentage
The approximate rate of refunds. Formatted as a decimal, e.g., If the refund rate is 10% of sales, input as 0.1
[UnderwritingApplicationCreateStakeholderInput!]
Stakeholders associated with the application
Show child attributes
Show child attributes
AddUnderwritingApplicationPersonStakeholderInput
Add a new person stakeholder to the application.
Show child attributes
Show child attributes
Date
String
PersonalIdentificationNumberInput
Required if roles includes “Owner”, “ControlPerson”, “Guarantor”.
Show child attributes
Show child attributes
PersonalIdentificationNumberType
String
The personal identification number.
String
PersonNameInput
Percentage
The approximate ownership of the acceptor that this owner holds. Formatted as a decimal, e.g., If the owners holds 30%, input as 0.30.
AddressInput
Show child attributes
Show child attributes
Max100Text
The first line of the address.
Max100Text
The second line of the address, if applicable.
Max100Text
City, town, or village.
CountryCode
The ISO 3166-1 three-letter country code associated with the address.See CountryCode
Max15Text
A set of specific numbers, and sometimes letters, that help postal services deliver mail.
Max100Text
State or province.
[StakeholderRole!]
See StakeholderRole
String
String
UnderwritingApplicationIdentityInput
Identity information for the underwriting application
Show child attributes
Show child attributes
ApplicantType
The type of the application (e.g., MERCHANT, SPONSORED_MERCHANT, etc.). Mirrors AcceptorType values.See ApplicantType
AddressInput
The physical location that the acceptor uses to identify itself for operational and communication purposes.
Show child attributes
Show child attributes
Max100Text
The first line of the address.
Max100Text
The second line of the address, if applicable.
Max100Text
City, town, or village.
CountryCode
The ISO 3166-1 three-letter country code associated with the address.See CountryCode
Max15Text
A set of specific numbers, and sometimes letters, that help postal services deliver mail.
Max100Text
State or province.
BusinessEntityType
The legal structure of a company, which determines its rights, liabilities, and taxation. e.g., LLC, Sole proprietor, C-Corp, etc.See BusinessEntityType
String
The descriptive name for the organization that is different from its legal entity name. Also known as “Doing Business As” (DBA), “trade name”, “assumed name”, or “fictitious name”.
String
The default merchant category code for the underwriting application.
Boolean
Indicates the entity is a known trusted entity.
Boolean
Indicates that the legal address is the same as the business address.
Boolean
AddressInput
The physical location that the acceptor uses to identify itself for legal purposes.
Show child attributes
Show child attributes
Max100Text
The first line of the address.
Max100Text
The second line of the address, if applicable.
Max100Text
City, town, or village.
CountryCode
The ISO 3166-1 three-letter country code associated with the address.See CountryCode
Max15Text
A set of specific numbers, and sometimes letters, that help postal services deliver mail.
Max100Text
State or province.
String
The official, registered name of a business that appears on legal documents, and used to identify the company legally by the government. It is distinct from the “business name”, “Doing Business As” (DBA), “trade name”, “assumed name”, and “fictitious name”.
[MerchantCategoryInput!]
deprecated
Deprecated: Use defaultMerchantCategoryCode instead. Only a single merchant category code is supported for underwriting applications.Deprecated: Use defaultMerchantCategoryCode instead. This field will be removed in a future version.
Show child attributes
Show child attributes
String!
required
Unique ISO four digit value used to classify merchants and their transactions into specific categories based on the type of business, trade or services supplied.
String
The partner-supplied NAICS code classifying the applicant’s industry (e.g. “722511”). Free-form and optional: it is stored and displayed as provided, and is not validated against any NAICS vintage. Values longer than 500 characters are rejected.
String
The partner-supplied description accompanying the NAICS code (e.g. “Full Service Restaurants”). Free-form and optional: it is not cross-checked against naicsCode. Values longer than 500 characters are rejected.
SalesChannel
The channel through which the applicant primarily accepts payments (e.g., RETAIL, MOTO, E_COMMERCE).See SalesChannel
String
The telephone number of the organization that is provided on the billing statement for service inquiries.
[String!]
The names of the software providers used by the applicant.
String
The U.S. state or jurisdiction in which the legal entity was incorporated or formed (2-character code).
TaxIdentificationNumberInput
The tax identification number of the legal entity.
Show child attributes
Show child attributes
TaxIdentificationNumberType
String
The tax identification number.
String
The unique identifier used to identify the underwriting application.
String
An optional field that the Transactor would pass to potentially identify multiple applications that roll up to a broader relationship.
String
The website address for the applicant.
Return type
CreateUnderwritingApplicationPayload!
[CreateUnderwritingApplicationError!]
Errors that occurred during the mutation, if any. Null or empty indicates success.
Show Possible types
Show Possible types
Show UnderwritingApplicationBankAccountFieldValidationError
Show UnderwritingApplicationBankAccountFieldValidationError
Represents a field-level validation error on a bank account within an underwriting application.
UUID!
required
The associated bank account id
UnderwritingApplicationBankAccountFieldValidationGraphQlErrorCode!
required
A static code for tying the response back programmaticallySee UnderwritingApplicationBankAccountFieldValidationGraphQlErrorCode
String!
required
The field that is invalid
String!
required
A helpful message to help fix the invalid value
Show UnderwritingApplicationValidationError
Show UnderwritingApplicationValidationError
Represents a validation error on an underwriting application that is not specific to a single field.
UnderwritingApplicationValidationErrorCode!
required
A static code for tying the response back programmatically.See UnderwritingApplicationValidationErrorCode
String!
required
A helpful message to help fix the validation error.
Show UnderwritingApplicationFieldValidationError
Show UnderwritingApplicationFieldValidationError
Represents a field-level validation error on an underwriting application.
UnderwritingApplicationFieldValidationErrorCode!
required
A static code for tying the response back programmatically.See UnderwritingApplicationFieldValidationErrorCode
String!
required
The field that is invalid.
String!
required
A helpful message to help fix the invalid value.
Show UnderwritingApplicationStakeholderFieldValidationError
Show UnderwritingApplicationStakeholderFieldValidationError
Represents a field-level validation error on a stakeholder within an underwriting application.
UnderwritingApplicationStakeholderFieldValidationErrorCode!
required
A static code for tying the response back programmaticallySee UnderwritingApplicationStakeholderFieldValidationErrorCode
String!
required
The field that is invalid
String!
required
A helpful message to help fix the invalid value
UUID!
required
The associated stakeholder ID
Show ForbiddenError
Show ForbiddenError
Show InvalidActorError
Show InvalidActorError
Show InvalidOrganizationError
Show InvalidOrganizationError
Show NotFoundError
Show NotFoundError
Show ServerError
Show ServerError
UnderwritingApplication
The underwriting application that was created or updated.
Show child attributes
Show child attributes
ApplicationEventCollection
The events associated with the application.See ApplicationEventCollection
UnderwritingApplicationIdentity
The identity information of the application.See UnderwritingApplicationIdentity
UnderwritingApplicationStatus!
required
The status of the application.See UnderwritingApplicationStatus
ApplicationAssignee
The user assigned to the application.See ApplicationAssignee
[Attachment!]!
required
The attachments associated with the application.See Attachment
[UnderwritingBankAccount!]
Bank account information. Optionally reveal sensitive fields for a specific bank account.See UnderwritingBankAccount
DateTime!
required
The date and time when the application was created.
[DecisionComponent!]!
required
The underwriting decision components for the application.See DecisionComponent
[DeclineReason!]!
required
The decline reasons associated with the application. Empty when no reasons have been selected.See DeclineReason
UnderwritingDynamicField
A single dynamic field value looked up by the stable key of its root schema node, enabling field-style aliasing. Optionally scope to a decision-component item.See UnderwritingDynamicField
[UnderwritingDynamicField!]!
required
The dynamic field values captured on this application, assembled into the catalog’s recursive shape. Optionally scope to a single decision-component item (e.g. one owner); omit to return the values across all decision-component items and the application level.See UnderwritingDynamicField
UUID!
required
The unique identifier of the application.
[UnderwritingInformationRequest!]!
required
Information requests for this application.See UnderwritingInformationRequest
UnderwritingApplicationInformationRequestStatus!
required
The status of information requests for this application.See UnderwritingApplicationInformationRequestStatus
[BoardingApplicationParticipant!]
The participants of the application.See BoardingApplicationParticipant
UnderwritingApplicationProcessingActivityOutput
The process activity information of the application.See UnderwritingApplicationProcessingActivityOutput
WorkflowAssignment!
required
The queue the application is assigned to.See WorkflowAssignment
RelationshipProcessingActivityOutput
The relationship-wide processing activity totals across all locations in the relationship, including this application. Null when not yet captured.See RelationshipProcessingActivityOutput
UnderwritingDecisionComponentsSchema
The underwriting decision components schema for the application.See UnderwritingDecisionComponentsSchema
[StakeholderOutput!]!
required
Stakeholder information. Optionally reveal sensitive fields for a specific stakeholder.See StakeholderOutput
DateTime
The date and time when the application submission was attempted.
DateTime
The date and time when the application was successfully submitted.
DateTime!
required
The date and time when the application was last updated.
mutation CreateUnderwritingApplication($input: UnderwritingApplicationCreateInput!) {
createUnderwritingApplication(input: $input) {
errors {
... on UnderwritingApplicationBankAccountFieldValidationError {
bankAccountId
code
field
message
}
... on UnderwritingApplicationValidationError {
code
message
}
... on UnderwritingApplicationFieldValidationError {
code
field
message
}
... on UnderwritingApplicationStakeholderFieldValidationError {
code
field
message
stakeholderId
}
... on ForbiddenError {
advice
code
message
}
... on InvalidActorError {
advice
code
message
}
... on InvalidOrganizationError {
advice
code
message
}
... on NotFoundError {
advice
code
message
resourceId
resourceName
}
... on ServerError {
advice
code
message
}
}
underwritingApplication {
applicationEvents {
}
applicationIdentity {
applicantType
businessEntityType
businessName
isKnownEntity
isLegalAddressSameAsBusinessAddress
legalEntityName
merchantCategoryCode
naicsCode
naicsDescription
salesChannel
serviceTelephoneNumber
softwareProviderNames
stateOfIncorporation
underwritingReference
underwritingRelationshipReference
websiteUrl
}
applicationStatus
assignee {
assignedDateTime
name
userId
}
attachments {
fileName
id
size
uploadedDateTime
}
bankAccounts {
accountNumberLast4
id
referenceNumber
routingNumber
}
comments {
content
createdDateTime
id
updatedDateTime
}
createdBy {
name
type
}
createdDateTime
decisionComponents {
hasAttachments
hasComments
id
status
updatedDateTime
}
declineReasons {
code
message
}
dynamicField {
children
decisionComponentItemId
fieldValue
id
parentDynamicFieldId
selectedVariantKey
}
dynamicFields {
children
decisionComponentItemId
fieldValue
id
parentDynamicFieldId
selectedVariantKey
}
id
informationRequests {
applicationId
createdDateTime
description
fulfilledDateTime
fulfillmentAttachmentIds
fulfillmentResponse
fulfillmentTypes
id
status
title
type
updatedDateTime
}
informationRequestStatus
participants {
role
}
processingActivity {
advancedPaymentRate
averageAnnualSalesAmount
averageMonthlySalesAmount
averageTicketAmount
businessToBusinessMix
cardNotPresentMix
cardPresentMix
chargebackRate
currency
customerInitiatedCardNotPresentMix
daysInCycle
deliveryTimeframe
exposure
highestTicketAmount
merchantInitiatedCardNotPresentMix
refundRate
riskLevel
}
queue
relationshipProcessingActivity {
advancedPaymentRate
averageAnnualSalesAmount
averageMonthlySalesAmount
averageTicketAmount
businessToBusinessMix
cardNotPresentMix
cardPresentMix
chargebackRate
currency
customerInitiatedCardNotPresentMix
daysInCycle
deliveryTimeframe
exposure
highestTicketAmount
merchantInitiatedCardNotPresentMix
refundRate
riskLevel
}
schema {
createdDateTime
id
version
}
stakeholders {
emailAddress
id
ipAddress
ownershipPercentage
referenceNumber
roles
}
submissionAttemptedDateTime
submissionSuccessfulDateTime
updatedBy {
name
type
}
updatedDateTime
}
}
}
{
"input": {
"bankAccounts": [
{
"addBankAccountInput": "example",
"removeBankAccountInput": "example",
"updateBankAccountInput": "example"
}
],
"comments": [
{
"addCommentsInput": "example"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateUnderwritingApplication($input: UnderwritingApplicationCreateInput!) {\n createUnderwritingApplication(input: $input) {\n errors {\n ... on UnderwritingApplicationBankAccountFieldValidationError {\n bankAccountId\n code\n field\n message\n }\n ... on UnderwritingApplicationValidationError {\n code\n message\n }\n ... on UnderwritingApplicationFieldValidationError {\n code\n field\n message\n }\n ... on UnderwritingApplicationStakeholderFieldValidationError {\n code\n field\n message\n stakeholderId\n }\n ... on ForbiddenError {\n advice\n code\n message\n }\n ... on InvalidActorError {\n advice\n code\n message\n }\n ... on InvalidOrganizationError {\n advice\n code\n message\n }\n ... on NotFoundError {\n advice\n code\n message\n resourceId\n resourceName\n }\n ... on ServerError {\n advice\n code\n message\n }\n }\n underwritingApplication {\n applicationEvents {\n\n }\n applicationIdentity {\n applicantType\n businessEntityType\n businessName\n isKnownEntity\n isLegalAddressSameAsBusinessAddress\n legalEntityName\n merchantCategoryCode\n naicsCode\n naicsDescription\n salesChannel\n serviceTelephoneNumber\n softwareProviderNames\n stateOfIncorporation\n underwritingReference\n underwritingRelationshipReference\n websiteUrl\n }\n applicationStatus\n assignee {\n assignedDateTime\n name\n userId\n }\n attachments {\n fileName\n id\n size\n uploadedDateTime\n }\n bankAccounts {\n accountNumberLast4\n id\n referenceNumber\n routingNumber\n }\n comments {\n content\n createdDateTime\n id\n updatedDateTime\n }\n createdBy {\n name\n type\n }\n createdDateTime\n decisionComponents {\n hasAttachments\n hasComments\n id\n status\n updatedDateTime\n }\n declineReasons {\n code\n message\n }\n dynamicField {\n children\n decisionComponentItemId\n fieldValue\n id\n parentDynamicFieldId\n selectedVariantKey\n }\n dynamicFields {\n children\n decisionComponentItemId\n fieldValue\n id\n parentDynamicFieldId\n selectedVariantKey\n }\n id\n informationRequests {\n applicationId\n createdDateTime\n description\n fulfilledDateTime\n fulfillmentAttachmentIds\n fulfillmentResponse\n fulfillmentTypes\n id\n status\n title\n type\n updatedDateTime\n }\n informationRequestStatus\n participants {\n role\n }\n processingActivity {\n advancedPaymentRate\n averageAnnualSalesAmount\n averageMonthlySalesAmount\n averageTicketAmount\n businessToBusinessMix\n cardNotPresentMix\n cardPresentMix\n chargebackRate\n currency\n customerInitiatedCardNotPresentMix\n daysInCycle\n deliveryTimeframe\n exposure\n highestTicketAmount\n merchantInitiatedCardNotPresentMix\n refundRate\n riskLevel\n }\n queue\n relationshipProcessingActivity {\n advancedPaymentRate\n averageAnnualSalesAmount\n averageMonthlySalesAmount\n averageTicketAmount\n businessToBusinessMix\n cardNotPresentMix\n cardPresentMix\n chargebackRate\n currency\n customerInitiatedCardNotPresentMix\n daysInCycle\n deliveryTimeframe\n exposure\n highestTicketAmount\n merchantInitiatedCardNotPresentMix\n refundRate\n riskLevel\n }\n schema {\n createdDateTime\n id\n version\n }\n stakeholders {\n emailAddress\n id\n ipAddress\n ownershipPercentage\n referenceNumber\n roles\n }\n submissionAttemptedDateTime\n submissionSuccessfulDateTime\n updatedBy {\n name\n type\n }\n updatedDateTime\n }\n }\n}",
"variables": {
"input": {
"bankAccounts": [
{
"addBankAccountInput": "example",
"removeBankAccountInput": "example",
"updateBankAccountInput": "example"
}
],
"comments": [
{
"addCommentsInput": "example"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000
}
}
}
}'
{
"data": {
"createUnderwritingApplication": {
"errors": [
{
"__typename": "UnderwritingApplicationBankAccountFieldValidationError",
"bankAccountId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"code": "FIELD_TOO_LONG",
"field": "example",
"message": "example"
}
],
"underwritingApplication": {
"applicationEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"applicationIdentity": {
"applicantType": "BILLER",
"businessAddress": "example",
"businessEntityType": "ASSOCIATION",
"businessName": "Clacksworth Keyboards",
"isKnownEntity": true,
"isLegalAddressSameAsBusinessAddress": true,
"legalAddress": "example",
"legalEntityName": "Clacksworth Keyboards LLC",
"merchantCategoryCode": "example",
"naicsCode": "example",
"naicsDescription": "example",
"salesChannel": "E_COMMERCE",
"sensitiveFields": "example",
"serviceTelephoneNumber": "+15551234567",
"softwareProviderNames": [
"example"
],
"stateOfIncorporation": "example",
"taxIdentificationNumber": "example",
"underwritingReference": "example",
"underwritingRelationshipReference": "example",
"websiteUrl": "https://clacksworth.com"
},
"applicationStatus": "APPROVED",
"assignee": {
"assignedBy": "example",
"assignedDateTime": "2026-01-15T14:30:00Z",
"name": "Ben Torres",
"userId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"attachments": [
{
"fileName": "business-license.pdf",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"size": 0,
"uploadedBy": "example",
"uploadedDateTime": "2026-01-15T14:30:00Z"
}
],
"bankAccounts": [
{
"accountNumberLast4": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"referenceNumber": 0,
"routingNumber": "example",
"sensitiveFields": "example"
}
],
"comments": [
{
"content": "Approved for mechanical keyboard accessories line.",
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponent": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"lastUpdatedBy": "example",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"createdBy": {
"name": "Ben Torres",
"type": "APP"
},
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponents": [
{
"attachments": [
"example"
],
"comments": [
"example"
],
"hasAttachments": true,
"hasComments": true,
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"items": [
"example"
],
"lastUpdatedBy": "example",
"schema": "example",
"status": "ACCEPTED",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"declineReasons": [
{
"code": "DEROGATORY_BANKING_RELATIONSHIP",
"message": "example"
}
],
"dynamicField": {
"children": [
"example"
],
"decisionComponentItemId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"fieldValue": "example",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"parentDynamicFieldId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"schema": "example",
"selectedOptions": [
"example"
],
"selectedVariant": "example",
"selectedVariantKey": "example",
"sensitiveField": "example"
},
"dynamicFields": [
{
"children": [
"example"
],
"decisionComponentItemId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"fieldValue": "example",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"parentDynamicFieldId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"schema": "example",
"selectedOptions": [
"example"
],
"selectedVariant": "example",
"selectedVariantKey": "example",
"sensitiveField": "example"
}
],
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"informationRequests": [
{
"applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"fulfilledBy": "example",
"fulfilledDateTime": "2026-01-15T14:30:00Z",
"fulfillmentAttachmentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"fulfillmentResponse": "example",
"fulfillmentTypes": [
"DOCUMENT"
],
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"status": "FULFILLED",
"title": "example",
"type": "ARTICLES_OF_INCORPORATION",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
],
"informationRequestStatus": "AWAITING_INFORMATION",
"participants": [
{
"organization": "example",
"role": "BANK"
}
],
"processingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000,
"averageTicketAmount": 150,
"businessToBusinessMix": 0.05,
"cardNotPresentMix": 0.05,
"cardPresentMix": 0.05,
"chargebackRate": 0.05,
"currency": "USD",
"customerInitiatedCardNotPresentMix": 0.05,
"daysInCycle": 0,
"deliveryTimeframe": 0,
"exposure": 100000,
"highestTicketAmount": 2500,
"merchantInitiatedCardNotPresentMix": 0.05,
"refundRate": 0.05,
"riskLevel": "HIGH"
},
"queue": "PARTNER",
"relationshipProcessingActivity": {
"advancedPaymentRate": 0.05,
"averageAnnualSalesAmount": 0,
"averageMonthlySalesAmount": 45000,
"averageTicketAmount": 150,
"businessToBusinessMix": 0.05,
"cardNotPresentMix": 0.05,
"cardPresentMix": 0.05,
"chargebackRate": 0.05,
"currency": "USD",
"customerInitiatedCardNotPresentMix": 0.05,
"daysInCycle": 0,
"deliveryTimeframe": 0,
"exposure": 100000,
"highestTicketAmount": 2500,
"merchantInitiatedCardNotPresentMix": 0.05,
"refundRate": 0.05,
"riskLevel": "HIGH"
},
"schema": {
"createdDateTime": "2026-01-15T14:30:00Z",
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"underwritingDecisionComponentSchemas": [
"example"
],
"version": "example"
},
"stakeholders": [
{
"emailAddress": "ben@clacksworth.com",
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"ipAddress": "example",
"ownershipPercentage": 0.05,
"referenceNumber": 0,
"roles": [
"AUTHORIZED"
],
"sensitiveFields": "example"
}
],
"submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
"submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
"updatedBy": {
"name": "Ben Torres",
"type": "APP"
},
"updatedDateTime": "2026-01-15T14:30:00Z"
}
}
}
}
Was this page helpful?